moon <- function(r = 10, w = 6, n = 500) {

	alpha <- runif(n, 0, pi)
	delta <- runif(n, -w / 2, w / 2)

	x <- cos(alpha) * (r + delta)
	y <- sin(alpha) * (r + delta)

	cbind(x, y)
}

m <- moon()
plot(m, pch=20, col="blue")
